french-conjugator(1)

NAME
french-conjugator - conjugate French verbs

SYNOPSIS
echo aimer | french-conjugator > result.txt

DESCRIPTION
french-conjugator reads the infinitive form of French verbs from the command line or from standard input and writes (to standard output) the complete conjugation of those verbs, if they are known.

The standard input is not read if verbs are passed as command-line arguments.

Each mode and tense is introduced by a line that starts with a hyphen and a space, and ends with a colon. The mode and tense in that line are always in English, regardless of the user's current locale. (This is meant to facilitate automatic parsing of the output. For a French user interface, see the GNOME application and applet.) The conjugation is ended with a line that only contains a hyphen. If the given verb is unknown or not in the infinitive form, only this line is written.

The command flushes its output buffer after finishing each answer. This allows the command to be easily called from another program through two pipes.

The command starts by loading its database from XML files (stored typically in /usr/share/verbiste-0.1). This takes some time, so it is a good idea to have the command answer many requests instead of running it for each request.

The verbiste library's source archive contains Perl and Java example programs that illustrate this technique.

There must not be any leading or trailing white spaces on the lines read by the command.

In the past participle tense, four lines are written: they correspond in order to the masculine singular, masculine plural, feminine singular and feminine plural.

OPTIONS

--help
    display a help page and exit

--version
    display version information and exit

--lang=L
    select the language to use (fr for French or it for Italian); French is the default language

--mode=M
    only display mode M, where M can be infinitive, indicative, conditional, subjunctive, imperative or participle (M can also be a comma-separated list of modes)

--tense=T
    only display tense T, where T can be present, past, imperfect or future (T can also be a comma-separated list of tenses)

--pronouns
    show the pronouns

--all-infinitives
    print the infinitive form of all the verbs in the knowledge base, one per line, unsorted; other command-line arguments are ignored

--data-dir=D
    Get the XML data files from directory D instead of the default one.

EXAMPLES
$ french-conjugator aimer
- infinitive present:
aimer
- indicative present:
aime
aimes
aime
aimons
aimez
aiment
- indicative imperfect:
aimais
aimais
aimait
[...]
- participle past:
aimé
aimés
aimée
aimées
-

LICENSE
This program is free software; you may redistribute it under the terms of the GNU General Public License. This program has absolutely no warranty.

AUTHOR
See the verbiste(3) manual page.

BUGS
See the verbiste(3) manual page.

SEE ALSO
verbiste(3), french-deconjugator(1).